
海思1G无频 - Bug #3480

【软件包安全编译选项】软件包安全编译选项有不通过项

05/14/2025 17:01 - 邹 迎春

Status: Feedback Start date: 05/14/2025

Priority: Normal Due date:  

Assignee: 邹 迎春 % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

测试版本: emei_default_ker_fs_fwk_51d9169d 复现概率: 100%

Description

【操作路径】:

1、Linux测试PC上将设备软件包解压到目录 swdl

2、在Linux测试PC上执行 checksec --dir =swdl， 对软件包目录所有的可执行文件进行检查，输出报告，查看每一个文件的编译选项执行结果

统计所有非”.KO”类型文件的每一项编译选项开启的百分比

【实际结果】:

以下项不通过，详请查阅附件

rootfs/usr/libexec/ksmbd.tools

【预期结果】

通过标准：

1．查看每一个文件的编译选项，当返回为以下结果时表示该项测试通过：

NX：“NX enabled”；

RELRO：”Full RELRO”；

PIE：“DSO”或“PIE enabled”；

RPATH：“No RPATH”；

RUNPATH：“No RUNPATH”；

Symbols：“No Symbols”；

2．所有非”.KO”类型文件中，开启了编译选项的统计应该为：

NX开启率达成100%；

RELRO（FULL）开启率达成100%；

PIE开启率达成100%；

RPATH/RUNPATH开启率达成100%；

Symbols开启率达成100%

History

#1 - 05/19/2025 10:04 - 良缘 彭

- Status changed from New to Feedback

- Assignee changed from 良缘 彭 to 邹 迎春

需要用V1.0.2版本解压测试。你测试的文件时我本地目录的临时版本，不支持安全编译的二进制也被弄进去了

#2 - 05/26/2025 11:29 - 琪 董

- File 软件包安全编译选项问题.xlsx added

emei_V1.0.2_ker_fs_f6b3c8dc.bin，，验证未通过

Files

0514 .log 87.3 KB 05/14/2025 邹 迎春

软件包安全编译选项问题.xlsx 19.5 KB 05/26/2025 琪 董
